import matplotlib.pyplot as plt
from tenpy.models import lattice
plt.figure(figsize=(5, 1.4))
ax = plt.gca()
lat = lattice.Chain(4, None, bc='periodic')
lat.plot_coupling(ax, linewidth=3.)
lat.plot_order(ax, linestyle=':')
lat.plot_sites(ax)
lat.plot_basis(ax, origin=(-0.5, -0.25), shade=False)
ax.set_xlim(-1.)
ax.set_ylim(-0.5, 0.5)
ax.set_aspect('equal')
plt.show()